Subject: [Pals] Please review draft-ietf-pals-ms-pw-protection-00.txt

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 3 Mar 2015 09:23:52 -0500

The editors of
http://tools.ietf.org/html/draft-ietf-pals-ms-pw-protection-00 would
appreciate WG review of the draft. In the absence of comments, we feel that
the draft may be ready for WG last call. Please take a look and let us know
if you agree, or have comments on the text. As the IETF meeting is coming
up, we plan to ask for WG LC following the meeting.

Thanks much,
Andy

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 3 Mar 2015 16:05:36 +0000

Andy and all,
I have read the draft, and I have a couple of comments that could be addressed before or after the WG LC.

1.       To the best of my understanding the draft addresses the scenario when multiple static MS-PWs are set up between a single pair of T-PEs and provide services to single-homed CEs connected to these T-PEs. However, this can only be understood when the reader looks at the network reference model that is copied from RFC 6718. IMHO and FWIW this should be explicitly stated early in the text (e.g., in the Introduction).

2.       May I suggest that the draft also clarifies its relationship with another WG document (draft-ietf-pals-redundancy-spe)?

3.       The following text fragment in the Introduction is difficult to parse (the problematic text is in italics):
   As described in RFC 5659<http://tools.ietf.org/html/rfc5659> [RFC5659<http://tools.ietf.org/html/rfc5659>], Multi-Segment Pseudowires (MS-
   PWs) consist of terminating PEs (T-PEs), switching PEs (S-PEs), and
   PW segments between the T-PEs at each of the MS-PW and the interior
       S-PEs.
May I suggest to the authors to consider the following alternative:
   As described in RFC 5659<http://tools.ietf.org/html/rfc5659> [RFC5659<http://tools.ietf.org/html/rfc5659>], Multi-Segment Pseudowires (MS-
   PWs) consist of a pair of terminating PEs (T-PEs), one or more switching PEs
   (S-PEs), and a sequence of PW segments that connects one of T-PEs with its
   “adjacent” S-PE, connects this S-PE with the next S-PE in the sequence and
   so on until the last S-PE is connected by the last PW segment to the remaining
   T-PE.

4.       RFC 6478 describes two different methods for sending static PW status messages across MS-PWs:

a.       Hop-by-hop: static PE status messages are transmitted with TTL=1 in the PW label LSE so that are intercepted by the first S-PE they cross, and this S-PE regenerates/relays them

b.      S-PE Bypass mode when static PW status messages are sent between two T-PEs end-to-end without relay at S-PEs.
The draft does not explain which of these modes should be used for MS-PW protection. From my POV this deserves additional clarification in the text that is intended for the Standards Track to avoid potential interoperability issues.

Hopefully these comments would be useful.

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

From: Pals [mailto:[email-masked]] On Behalf Of Andrew G. Malis
Sent: Tuesday, March 03, 2015 4:24 PM
To: [email-masked]
Subject: [Pals] Please review draft-ietf-pals-ms-pw-protection-00.txt

The editors of http://tools.ietf.org/html/draft-ietf-pals-ms-pw-protection-00 would appreciate WG review of the draft. In the absence of comments, we feel that the draft may be ready for WG last call. Please take a look and let us know if you agree, or have comments on the text. As the IETF meeting is coming up, we plan to ask for WG LC following the meeting.

Thanks much,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 3 Mar 2015 13:28:41 -0500

Sasha,

Thanks, the comments are much appreciated. I'll do an update after waiting
to see if I receive any other comments soon.

Cheers,
Andy

On Tue, Mar 3, 2015 at 11:05 AM, Alexander Vainshtein <
[email-masked]> wrote:

> 1.       To the best of my understanding the draft addresses the scenario
> when multiple static MS-PWs are set up between a single pair of T-PEs and
> provide services to single-homed CEs connected to these T-PEs. However,
> this can only be understood when the reader looks at the network reference
> model that is copied from RFC 6718. IMHO and FWIW this should be explicitly
> stated early in the text (e.g., in the Introduction).
>
> 2.       May I suggest that the draft also clarifies its relationship
> with another WG document (draft-ietf-pals-redundancy-spe)?
>
> 3.       The following text fragment in the Introduction is difficult to
> parse (the problematic text is in *italics*):
>
>    As described in RFC 5659 <http://tools.ietf.org/html/rfc5659> [RFC5659
> <http://tools.ietf.org/html/rfc5659>], Multi-Segment Pseudowires (MS-
>
>    PWs) consist of terminating PEs (T-PEs), switching PEs (S-PEs), *and*
>
> *   PW segments between the T-PEs at each of the MS-PW and the interior*
>
> *       S-PEs.*
>
>    As described in RFC 5659 <http://tools.ietf.org/html/rfc5659> [RFC5659
> <http://tools.ietf.org/html/rfc5659>], Multi-Segment Pseudowires (MS-
>
> a.       Hop-by-hop: static PE status messages are transmitted with TTL=1
> in the PW label LSE so that are intercepted by the first S-PE they cross,
> and this S-PE regenerates/relays them
>
> b.      S-PE Bypass mode when static PW status messages are sent between
> two T-PEs end-to-end without relay at S-PEs.
>
> The draft does not explain which of these modes should be used for MS-PW
> protection. From my POV this deserves additional clarification in the text
> that is intended for the Standards Track to avoid potential
> interoperability issues.
>
>
>
> *From:* Pals [mailto:[email-masked]] *On Behalf Of *Andrew G. Malis
> *Sent:* Tuesday, March 03, 2015 4:24 PM
> *To:* [email-masked]
> *Subject:* [Pals] Please review draft-ietf-pals-ms-pw-protection-00.txt
>
>
>
> The editors of